#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGraphicsPerfOverlayLevel {
    Hidden = 0,
    Basic = 1,
    Medium = 2,
    Full = 3,
    Minimal = 4,
}

impl EGraphicsPerfOverlayLevel {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Hidden as i32 => Some(Self::Hidden),
            x if x == Self::Basic as i32 => Some(Self::Basic),
            x if x == Self::Medium as i32 => Some(Self::Medium),
            x if x == Self::Full as i32 => Some(Self::Full),
            x if x == Self::Minimal as i32 => Some(Self::Minimal),
            _ => None,
        }
    }
}
